Name:           dvdauthor
Version:        0.6.18
Release:        1%{?dist}
Summary:        Command line DVD authoring tool

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://dvdauthor.sourceforge.net/
Source0:        http://downloads.sourceforge.net/dvdauthor/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libdvdread-devel >= 0.9.4-4
BuildRequires:  libpng-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  libxml2-devel >= 2.6.0
BuildRequires:  fribidi-devel
BuildRequires:  freetype-devel
BuildRequires:  GraphicsMagick-devel

%description
dvdauthor is a program that will generate a DVD movie from a valid
MPEG-2 stream that should play when you put it in a DVD player.


%prep
%setup -q -n %{name}
chmod -c -x src/subgen-image.c


%build
export MAGICKCONFIG=/bin/true # disable ImageMagick
export LDFLAGS="$LDFLAGS -Wl,--as-needed" # avoid *Magick-config linkage bloat
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/dvdunauthor
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_datadir}/dvdauthor/
%{_mandir}/man1/dvdauthor.1*
%{_mandir}/man1/dvddirdel.1*
%{_mandir}/man1/dvdunauthor.1*
%{_mandir}/man1/mpeg2desc.1*
%{_mandir}/man1/spumux.1*
%{_mandir}/man1/spuunmux.1*


%changelog
* Thu Mar 18 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.6.18-1
- Update to 0.6.18 ("official" again), all patches applied upstream.

* Sat Jan  2 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.6.17-1
- Update to 0.6.17 (new "unofficial" upstream: http://www.joonet.de/dvdauthor/).
- Patch to compile with FriBidi 0.19.x.
- Include HTML docs in package.
- Drop no longer needed libdvdread header dir hack.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.6.14-9
- rebuild (GraphicsMagick)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.14-7
- rebuild against new GraphicsMagick

* Tue Jul  8 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.6.14-6
- Fix build with changed libdvdread 4.1.3 header location.

* Wed Feb 13 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.6.14-5
- Build with GraphicsMagick, drop all build time conditionals (#245155).
- Patch to differentiate ImageMagick vs GraphicsMagick at build time, don't
  rely on GM's IM compat things installed, fix RGBA treatment with GM.
- Avoid linkage bloat from GraphicsMagick-config --libs.

* Wed Feb 13 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.6.14-4
- Add build time conditional for GraphicsMagick, disabled by default (#432651).
- Get rid of need for BuildConflicts.

* Fri Nov 16 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.6.14-3
- Rebuild.

* Tue Aug 14 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.6.14-2
- License: GPLv2+

* Sat Feb 24 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.6.14-1
- 0.6.14.

* Wed Jan 17 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.6.13-1
- 0.6.13.

* Mon Jan  8 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.6.12-1
- 0.6.12.

* Sun Jan  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.6.11-9
- First FE build (#219103).

* Thu Oct 26 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.6.11-8
- Build without ImageMagick by default due to dependency bloat (#212478).
- Prune pre-2006 changelog entries.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.6.11-7
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Sep 24 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.6.11-6
- Rebuild.

* Sun Jul  9 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.6.11-5
- Rebuild for new ImageMagick (#1087).

* Thu Mar 16 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.6.11-4
- Remove -ldl hacks, BR fixed libdvdread-devel.
